<!--
Project: RSS Feed Project.
Component: Reader/Parser (File 1 of 1).
Filename: "displayNewsPreviews.php".
Purpose: Parse the XML news feed file and display news information.
-->

<?php

/* This variable sets the name for the news parser */
$newsWidgetName = "News Widget 1.0";

/* This variable holds the name of the XML source file */
$xmlFileName = "rss_feed_sample.xml";

/* load the XML structure into an object (data structure) */
$xmlHierarchy = simplexml_load_file($xmlFileName);

?>

<html>
<head>
	<title><?php echo $newsWidgetName; ?></title>
	<link rel="alternate" type="application/rss+xml" title="News Feed RSS" href="<?php echo $xmlFileName; ?>">
</head>

<body>
	<h1><?php echo $newsWidgetName; ?></h1>
	<p>Here are some recent news articles from the XML data file named <?php echo $xmlFileName; ?>.  Click on any article title to view the full news article associated with that news feed.</p>
	<ul>
	<?php
	foreach ($xmlHierarchy->channel->item as $article)
		{
		echo "<li>";
		echo "<a href=\"".$article->guid."\">".$article->title."</a>";
		echo "<ul>";
			echo "<li>".$article->description."</li>";
		echo "</ul>";
		echo "</li>";
		}
	?>
	</ul>
</body>
</html> 

<!-- End of "displayNewsPreviews.php" file -->